/* Hello */

function getCSRSubject()
{
  var xmlhttp, element, parameters, csr, result ;

  csr = getCSR() ;

  if (window.XMLHttpRequest)
  {
    // code for IE7+, Firefox, Chrome, Opera, Safari
    xmlhttp = new XMLHttpRequest();
  } else {
    // code for IE6, IE5
    xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
  }

  xmlhttp.onreadystatechange = function()
  {
    if ((xmlhttp.readyState == 4) && (xmlhttp.status==200))
    {
      element = document.getElementById("server_name") ;
      if (!element)
      {
        alert('could not find element server_name!') ;
      }

      result = xmlhttp.responseText ;

      if (!result)
      {
        alert('failed to find server name from CSR') ;
      }
      else
      {
        // alert('result is [' + result + ']') ;
        element.value = xmlhttp.responseText ;
      }
    }
  }

  xmlhttp.open("POST", "/csr-parse", true);

  xmlhttp.setRequestHeader("Content-type",
                           "application/x-www-form-urlencoded") ;

  parameters = "csr=" + encodeURIComponent(csr) ;
  xmlhttp.send(parameters) ;
}

function getCSR()
{
  var element ;

  element = document.getElementById('csr') ;

  if (!element)
  {
    alert('Could not extract CSR string; please type in by hand') ;
  }
  else
  {
      return element.value.replace(/(^\s*)|(\s*$)/g,"");
  }
}

function js_validate()
{
    var element ;

    // Get the value of the contact e-mail form input
    element = document.getElementById("contact_address") ;

    if (!element)
    {
        alert('Could not find contact_address input element?!?') ;
        return false ;
    }
    else
    {
        contact_address = element.value ;

        /*
           If this is not a mailman address pop-up a warning.

           A mailman address looks like "<something>@(mailman|lists).stanford.edu"
        */
        var mailmanRe = /\w+@(mailman|lists)\.stanford\.edu$/;
        if (!contact_address) {
            msg = 'Missing contact group/mailman address.'
            window.alert(msg) ;
            return false ;
        } else if (!(mailmanRe.test(contact_address)))
        {
            msg =   'Contact group/mailman address "' + contact_address + '" does not appear to be a Mailman address. '
                + 'If you REALLY want to use this address, press the "OK" button; to '
                + 'change the contact group/mailman address to a Mailman address click on the "Cancel button.' ;
            return window.confirm(msg) ;
        } else {
            return true ;
        }
    }
}
